commit 4591c2c8a6b15ca99ba049d84e0e694f12db4f60
Author: Kewen Lin <linkw@linux.ibm.com>
Date:   Tue Jun 13 10:04:54 2023

    testsuite: Check int128 effective target for pr109932-{1,2}.c [PR110230]
    
    This patch is to make newly added test cases pr109932-{1,2}.c
    check int128 effective target to avoid unsupported type error
    on 32-bit.  I did hit this failure during testing and fixed
    it, but made a stupid mistake not updating the local formatted
    patch which was actually out of date.
    
            PR testsuite/110230
            PR target/109932
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/powerpc/pr109932-1.c: Adjust with int128 effective target.
            * gcc.target/powerpc/pr109932-2.c: Ditto.
    
    (cherry picked from commit 16eb9d69079d769b2aa2c07ce54aca20f5547c14)

diff --git a/gcc/testsuite/gcc.target/powerpc/pr109932-1.c b/gcc/testsuite/gcc.target/powerpc/pr109932-1.c
index 3e3f9eaa65e..374d9f60618 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr109932-1.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr109932-1.c
@@ -1,3 +1,4 @@
+/* { dg-require-effective-target int128 } */
 /* { dg-require-effective-target powerpc_altivec_ok } */
 /* { dg-options "-maltivec -mno-vsx" } */
 
diff --git a/gcc/testsuite/gcc.target/powerpc/pr109932-2.c b/gcc/testsuite/gcc.target/powerpc/pr109932-2.c
index 3e3f9eaa65e..374d9f60618 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr109932-2.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr109932-2.c
@@ -1,3 +1,4 @@
+/* { dg-require-effective-target int128 } */
 /* { dg-require-effective-target powerpc_altivec_ok } */
 /* { dg-options "-maltivec -mno-vsx" } */
 

